package space.nstart.pcp.pcp_types_lib.dto.coverage

import java.time.LocalDateTime

class CoverageSchemeCalculateRequestDTO(
    val polygonWkt: String = "",
    val satelliteIds: List<Long> = listOf(),
    val timeStart: LocalDateTime = LocalDateTime.now(),
    val timeEnd: LocalDateTime = LocalDateTime.now(),
    val rollStepDegrees: Double? = null,
    val minimumTechnologyOverlap: Double? = null,
    val strictContinuousCoverage: Boolean = true,
    val allowPartialCoverage: Boolean? = null,
    val orientationToleranceDegrees: Double? = null,
    val includeDebugInfo: Boolean = true,
    val sunAngle : Double? = null,
) {
}
